#!/usr/bin/python
# -*- coding: utf-8 -*-
"""
SàT website: Salut à Toi's presentation website
Copyright (C) 2012  Jérôme Poisson (goffi@goffi.org)

This file is part of SàT website.

SàT website is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Foobar is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Foobar.  If not, see <http://www.gnu.org/licenses/>.
"""

from os.path import join, dirname, exists
from django.utils.translation import get_language
CONTRAT_SOCIAL = "CONTRAT_SOCIAL"

def get_social_contract():
    """Return the localised social contract version"""
    language_code = get_language().split("-")[0]
    filename = CONTRAT_SOCIAL if language_code == "fr" else "CONTRAT_SOCIAL_%s" % (language_code,)
    path = join(dirname(__file__), filename) 
    if not exists(path):
        path = join(dirname(__file__), CONTRAT_SOCIAL) #we default to original version 
        
    with open(path) as f:
        text = f.read()
    return text

